﻿Imports System.ComponentModel
Imports System.Windows.Forms

Public Class frmHDNotes
   Private _db As String = System.IO.Path.GetFullPath("..\..\db.xml")

   Private Sub Form_Load(sender As Object, e As EventArgs) Handles MyBase.Load
      loadDB()
   End Sub

   Private Sub Form1_Closing(sender As Object, e As CancelEventArgs) Handles Me.Closing
      saveDB()
   End Sub

   Private Sub loadDB()
      HDDS.Clear()
      If IO.File.Exists(_db) Then HDDS.ReadXml(_db)
   End Sub

   Private Sub saveDB()
      Me.Validate()
      HDDS.WriteXml(_db)
   End Sub

   Private Sub Button_Click(sender As Object, e As EventArgs) Handles btLoad.Click, btSave.Click, btn_EditNote.Click, btn_DeleteNote.Click, btn_AddNote.Click, btn_editCategory.Click, btn_deleteCategory.Click, btn_AddCategory.Click
      Select Case True
         Case sender Is btLoad : loadDB()
         Case sender Is btSave : saveDB()
         Case sender Is btn_DeleteNote : bsTC_TN.RemoveCurrent()
         Case sender Is btn_deleteCategory : bsTC.RemoveCurrent()

         Case sender Is btn_EditNote
            Using frmAddNote As New frmNewOrEditNote
               frmAddNote.bsTN.DataSource = bsTC_TN.Current
               If frmAddNote.ShowDialog(Me) <> DialogResult.OK Then Return
               bsTC.EndEdit()
            End Using

         Case sender Is btn_AddNote
            Using frmAddNote As New frmNewOrEditNote
               frmAddNote.bsTN.DataSource = bsTC_TN.AddNew()
               If frmAddNote.ShowDialog(Me) <> DialogResult.OK Then Return
               bsTC.EndEdit()
            End Using

         Case sender Is btn_editCategory
            Using frmAddCategory As New frmNewOrEditCategory
               frmAddCategory.bsTC.DataSource = Me.bsTC.Current
               If frmAddCategory.ShowDialog(Me) <> DialogResult.OK Then Return
               bsTC.EndEdit()
            End Using

         Case sender Is btn_AddCategory
            Using frmAddCategory As New frmNewOrEditCategory
               frmAddCategory.bsTC.DataSource = Me.bsTC.AddNew()
               If frmAddCategory.ShowDialog(Me) <> DialogResult.OK Then Return
               bsTC.EndEdit()
            End Using

      End Select
   End Sub
End Class